﻿using Amazon.Lambda.APIGatewayEvents;
using MediatR;

namespace FunctionUrlWithMediatR;

public class GetRequest : IRequest<string>
{
    public GetRequest(APIGatewayHttpApiV2ProxyRequest incomingHttpRequest)
    {
        IncomingHttpRequest = incomingHttpRequest;
    }
    public APIGatewayHttpApiV2ProxyRequest IncomingHttpRequest { get; init; }
}

public class GetHandler : IRequestHandler<GetRequest, string>
{
    public Task<string> Handle(GetRequest request, CancellationToken cancellationToken)
    {
        return Task.FromResult($"You sent a GET request to {request.IncomingHttpRequest.RawPath}");
    }
}   
